Saturday, January 9, 2010

JollysFastVNC Expiring for you? Here's how to run it

I used to use the nice JollysFastVNC every once in a while. It would occasionally pop up a message to upgrade to the newest version.
Today, however, I noticed that my version (98.50) expired and that the newest version is no longer free.
You can easily get your older version running by adjusting your system date back to late October and after launching it setting the date correctly again.

Or, you can use these instructions to do all of that automatically for you:

1. Run the following command from you Terminal, just once on each Mac you want the workaround to function, and enter your password:
sudo chmod u+s /bin/date

2. Save the following into a file named jf.cmd in your home folder:
jfvncdate=`date "+%m%d%H%M%y"`
date 1015160009
/Applications/ &
sleep 2
date $jfvncdate

3. Run this Terminal command just once, and enter your password:
sudo chmod 700 ~/jf.cmd

That's it. From now on, to run JollysFastVNC simply run in your Terminal: